# CraftPresence

## [v1.5.7](https://github.com/CDAGaming/CraftPresence-Wow-Edition/tree/v1.5.7) (2021-06-06)
[Full Changelog](https://github.com/CDAGaming/CraftPresence-Wow-Edition/compare/v1.5.6...v1.5.7) [Previous Releases](https://github.com/CDAGaming/CraftPresence-Wow-Edition/releases)

- [Change] Re-added support for specifying the `data` placeholder argument  
    - (Backend) Added `GetArgsInRange` which allows retrieving arguments from an index-key'd table in-between a certain range. For this commit, this allows the `data` argument to once again be specified within the `/cp placeholders` create command, using `GetArgsInRange` in combination with `ConcatTable`. An alternative way I could have done this would be via a re-split, but this solution should save some memory.  
- [Backend] Optimize `SyncConditions` and `ParseGameData`  
    - Relocated a redundant assignment to `self.placeholders.custom`. In `SyncConditions`, `.custom` was immediately reassigned after a table wipe, then called again in `ParseGameData`, when the `SyncConditions` call was redundant and not needed.  
    - Applied various intending and documentation edits to `ParseGameData` to hopefully have the function be more readable.  
